net.sourceforge.pmd.cpd

## Class CPDTask.FormatAttribute

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - net.sourceforge.pmd.cpd.CPDTask.FormatAttribute

Enclosing class:
  CPDTask

    public static class CPDTask.FormatAttribute
    extends org.apache.tools.ant.types.EnumeratedAttribute

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
Constructor and Description
`CPDTask.FormatAttribute()`

### Method Summary

Methods
`String[]` `getValues()`

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CPDTask.FormatAttribute

    public CPDTask.FormatAttribute()

### Method Detail

#### getValues

    public String[] getValues()

Specified by:
  `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`